use Style;
use Util;
my @dd;
my @lang = glob(Util::bindir().'/datadict_*.xml');
@dd = map { DataDict->new($_) } @lang;
my $htm = OS::gethome('sikurs').OS::slash().'ddall.htm';
if (open my $H, '>', $htm) {
print {$H} <<EOD;
<html>
<head>
<title>Data Dictionary</title>
</head>
<style>
h1 {
    color: #B82619;
    background-color: #EAE2BB;
}
td {
    color: #2F2F2F;
    background: #E7E7F7;
    padding: 1px 7px 1px 7px;
}
th {
    text-align: left;
    font-family: monospace;
    font-weight: normal;
    color: #3F2F2F;
    background: #D7E7F7;
    padding: 1px 7px 1px 7px;
}
</style>
<body>
<h1>SIKURS Data Dictionary</h1>
<table>
<tr><th></th>
EOD

foreach (@lang) {
    my ($fn, $path) = fileparse($_);
    printf {$H} "<th>%s</th>", $fn;
}
print {$H} "</tr>\n";

my %both;
foreach my $d (@dd) {
    foreach (keys %{$d}) {
        $both{$_} = undef;
    }
}
foreach my $k (sort keys %both) {
    printf {$H} "<tr><th>%s</th>", $k;
    foreach (@dd) {
        printf {$H} "<td>%s</td>", $_->{$k} // '';
    }
    printf {$H} "</tr>\n";
}

print {$H} <<EOD;
</table>
</body>
</html>
EOD
close $H;
}
OS::browse($htm);
__END__

=head1 Data Dictionary

Vergleich aller datadict_xx.xml - Dateien
