use utf8;
use Style;

my $stz = loc::get('record_separator');
my $directory  = syscfg::get('DEFAULTS.Directory', '');
my $foundFile = tkx()->getOpenFile(
    -initialdir       => OS::osPath($directory),
    -title            => "Bitte wählen Sie eine Eingabedatei"
);
if ($foundFile ne '') {
    my (@fld, $v, $i, $ag);
    if (open(my $F, $foundFile)) {
        wprint($foundFile, ":\n");
        my ($fn, $dir) = fileparse($foundFile);
        my $outFile = tkx()->getSaveFile(
            -initialdir       => $dir,
            -title            => "Bitte wählen Sie eine Ausgabedatei"
        );
        if ($outFile ne '') {
            die "can not overwrite\n" if $foundFile eq $outFile;
            open (my $O, '>', $outFile) or die "open $outFile $!";
            printf {$O} << "EOT", &OS::timeString, $foundFile;
# %s
# ag_vertikal.pl
# < %s
EOT
            my (@data, @ix, @ages);
            my $ixcols = 5;
            RECORD:
            while (<$F>) {
                if (m/^#/) {
                    if (m/^(\d+) /) {
                        $ixcols = $1;
                    } else {
                        wprint($_);
                    }
                    next RECORD;
                }
                chomp;
                @fld = split $stz;
                if ($#fld < 1) {
                    next RECORD;
                }
                foreach my $ag (0 .. 99) {
                    if (($fld[$ixcols+$ag] // '') ne '') {
                        foreach my $i (0 .. $ixcols-1) {
                            print {$O} $fld[$i], $stz;
                        }
                        printf {$O} "%02d%s", $ag, $stz;
                        print  {$O} $fld[$ixcols + $ag], "\n";
                    }
                }
            }
            close $O;
            close $F;
        }
        wprint("> $outFile\n");
    } else {
        wprint("can not open $foundFile $!");
    }
}
1;
__END__

=head1 ag_vertica

Lese mit Altersgruppen nebeneinander und ordne sie in
Ausgabedatei untereinander an.

Umkehrprozess von ag_horizontal
