use utf8;
use Style;

wprint($^O, ' ', (OS::architecture() ? 'x64' : 'x86'), ' ', OS::getosversion(), ' cores: ', OS::architecture(6), "\n");
wprint('Login name: ', OS::getLoginName(), "\n");
my $show = sub {
    my ($txt, $fn) = @_;
    my $mode = (stat($fn))[2];
    if ($^O eq 'MSWin32') {
        my $t = `attrib/D $fn`;
        wprintf("%s:\n%s", $txt, $t =~ s/\s{12}\w//r);
    } else {
        wprintf("%s: %s, perm %04o\n", $txt, $fn, $mode & 07777);
    }
};
$show->('Working directory', OS::get_cwd());
$show->('desktop', OS::getdesktop());
$show->('appdir', OS::gethome('sikurs'));
my $ini = OS::applicationIni('sikurs', 1);
$show->('ini', $ini);
if (open(my $INI, '<:encoding(UTF-8)', $ini)) {
    wprint($_) while (<$INI>);
    close $INI;
}
1;
__END__

=head1 info

=for html
Ausgabe von Systeminformation wie Anwendungsverzeichnis und sikurs.ini
