use utf8;
use Style;
require $^O.'.pm';

my $infile = tkx()->getOpenFile(
    -initialdir => syscfg::get('ADETON.Dir', ''),
    -title => "Eingabedatei ?"
);
if ($infile ne '') {
    my ($f, $d, $e) = fileparse($infile, qr/\.[^.]*/x);
    syscfg::put('ADETON.Dir', $d);
    syscfg::flush(sub { tkx('.t')->wwarn(@_, "\n") });
    my $outfile = tkx()->getSaveFile(
        -initialdir => $d,
        -initialfile => $f.'_adt.csv',
        -title => "Ausgabedatei ?"
    );
    my @exe = qw(d64 64 32);
    my $exe;
    foreach (@exe) {
        $exe = './App/sikern'.$_.'.exe';
        last if (-e $exe);
    }
    my $cmd = "$exe adeton $infile $outfile";
    tkx('.t')->wprint($cmd, "\n");
    my $rc = system($cmd);
    tkx('.t')->werror("($rc)=$cmd $?\n") if $rc;
    my $logfn = OS::gethome('sikurs').'\\log.txt';
    tkx('.t')->wprint($logfn, ":\n");
    if (open my $LOG, '<', $logfn) {
        while (<$LOG>) {
            tkx('.t')->wprint($_);
        }
        close $LOG;
        unlink $logfn;
    } else {
        tkx('.t')->werror("$logfn $!\n");
    }
}
__END__

=head1 adeton

=for html
Abgleich Matrix mit<br>
ADTEON Table Ranking Procedure<br>
ChiSquare 100% module
<p>Eingabedatei wie bei IPF.pl "dense" Format, wobei Untergrenze Spaltensumme
gleich Obergrenze Spaltensumme sein muss.
