use utf8;
use Style;

my $stz  = loc::get('record_separator');
my $directory  = syscfg::get('DEFAULTS.Directory', '');
# sind arrays a und b identisch ?
my $eqix = sub {
    my ($aref, $bref) = @_;
    if (scalar(@$aref) == scalar(@$bref)) {
        foreach (0 .. $#$aref) {
            if ($aref->[$_] != $bref->[$_]) {
                return 0;
            }
        }
        return 1;
    }
    return 0;
};
my $foundFile = tkx()->getOpenFile(
    -initialdir       => OS::osPath($directory),
    -title            => "Bitte wählen Sie eine Eingabedatei"
);
if ($foundFile ne '') {
    my $recs = 0;
    my (@fld, $v, $i, $ag);
    if (open(my $F, $foundFile)) {
        wprint($foundFile, ":\n");
        my ($fn, $dir) = fileparse($foundFile);
        my $outFile = tkx()->getSaveFile(
            -initialdir       => $dir,
            -title            => "Bitte wählen Sie eine Ausgabedatei"
        );
        if ($outFile ne '') {
            die "can not overwrite\n" if $foundFile eq $outFile;
            open (my $O, '>', $outFile) or die "open $outFile $!";
            printf {$O} << "EOT", &OS::timeString, $foundFile;
# %s
# ag_horizontal.pl
# < %s
EOT
            my (@data, @ix, @ages);
            RECORD:
            while (<$F>) {
                if (m/^#/) {
                    wprint($_);
                    @fld = split $stz;
                    if (scalar(@fld) > 2) {
                        my $v  = pop @fld;
                        my $ag = pop @fld;
                        print {$O} '#', scalar(@fld), " ag\n";
                        print {$O} join($stz, @fld, (0 .. 99)), "\n";
                    }
                    next RECORD;
                }
                chomp;
                @fld = split $stz;
                if ($#fld < 1) {
                    next RECORD;
                }
                $recs++;
                wprint($_, "\n") if $recs <= 3;
                $v  = (pop @fld) + 0;
                $ag = (pop @fld) + 0;
                @fld = map { $_+0 } @fld;
                if (&$eqix(\@fld, \@ix)) {
                    # nix
                } else {
                    if ($#ix > 0) {
                        print {$O} join($stz, @ix, map { $_ // '' } @ages), "\n";
                    }
                    @ix = @fld;
                    @ages = ();
                }
                $ages[$ag] = $v;
            }
            print {$O} join($stz, @ix, map { $_ // '' } @ages), "\n";
            close $O;
            close $F;
        }
        wprint("...\n");
        wprint("> $outFile\n");
    } else {
        wprint("can not open $foundFile $!");
    }
}
1;
__END__

=head1 ag_horizontal

=for html
Lese strm-Datei oder beliebig andere Datei und ordne letzte Index-Spalte AG
in Ausgabedatei nebeneinander an.<br>
Dadurch reduziert sich die Anzahl Zeilen um den Faktor 100 und man
kann sehr gro&szlig;e strm-Dateien noch in EXCEL bearbeiten.<br>
Zurückwandeln mit ag_vertikal.pl (siehe auch dim_horizontal.pl)
